package com.bcxin.ars.dto;



/**
 * <b>企业信息表 </b>
 *
 * @author zxf
 * @date 2017年1月5日 上午10:16:48
 * @注意事项 </b>
 * <b>
 */
public class RoleSubjectVo {

	/**
	 * roleInpolicyID投保人/被保人id
	 */
	private String oid;
	/**
	 * 投保人类型
	 */
	private String role_type;
	/**
	 * 投保人角色
	 */
	private String kind;
	/**
	 * 投保人/被保险人名称(中文)
	 */
	private String name_cn;
	/**
	 * 投保人/被保险人名称(英文)
	 */
	private String name_en;
	/**
	 * 证件类型
	 */
	private String id_type;

	/**
	 * 地址-具体通讯地址
	 */
	private String address;

	/**
	 * 固定电话
	 */
	private String phone;

	/**
	 * 固定电话
	 */
	private String tel;

	/**
	 * 电子邮箱
	 */
	private String email;


	/**********************企业信息*************************/

	/**
	 * 成立日期
	 */
	private String register_date;
	/**
	 * 注册地址 省
	 */
	private String reg_province;
	/**
	 * 注册地址 市
	 */
	private String reg_city;
	/**
	 * 注册地址 区
	 */
	private String reg_district;
	/**
	 * 注册地址
	 */
	private String reg_address;
	/**
	 * 营业地址
	 */
	private String do_business_address;
	/**
	 * 地区
	 */
	private String region;
	/**
	 * 组织机构代码
	 */
	private String organization_code;
	/**
	 * 税务登记证
	 */
	private String tax_code;
	/**
	 * 工商注册号/企业注册号
	 */
	private String aaum_code;
	/**
	 * 海关统计经营单位编码
	 */
	private String customs_code;
	/**
	 * 企业类型/性质
	 */
	private String com_type;
	/**
	 * 投保业务类别
	 */
	private String business_nature;
	/**
	 * 买方所属行业
	 */
	private String sectors_sold;
	/**
	 * 经营区域
	 */
	private String business_area;
	/**
	 * 证件有效期起始
	 */
	private String id_option;
	/**
	 * 证件有效期起期
	 */
	private String id_star_date;
	/**
	 * 证件有效期止期
	 */
	private String id_end_date;
	/**
	 * 联系部门
	 */
	private String link_section;
	/**
	 * 投保人关联企业信息
	 */
	private String companies_detail;
	/**
	 * 是否已有信用险保单
	 */
	private int id_insurance;
	/**
	 * 保险公司名称
	 */
	private String insurance_name;
	/**
	 * 预计未来12个月的投保内贸营业额
	 */
	private String turnover_domestic;
	/**
	 * 预计未来12个月的投保出口营业额
	 */
	private String turnover_export;
	/**
	 * 投保币种
	 */
	private String currency_required;
	/**
	 * 经营性质
	 */
	private String com_nature;
	/**
	 * 经营性质(营业性质2级)
	 */
	private String nature_two;
	/**
	 * 所属行业
	 */
	private String industry;
	/**
	 * 其他行业
	 */
	private String other_industry;
	/**
	 * 法人姓名
	 */
	private String legal_name;
	/**
	 * 法人职务
	 */
	private String legal_duty;
	/**
	 * 法人电话
	 */
	private String legal_phone;
	/**
	 * 委托代理人姓名
	 */
	private String agent_name;
	/**
	 * 委托代理人职务
	 */
	private String agent_duty;
	/**
	 * 委托代理人电话
	 */
	private String agent_phone;
	/**
	 * 委托代理人电子信箱
	 */
	private String agent_email;
	/**
	 * 联系人姓名
	 */
	private String link_name;
	/**
	 * 联系人职务
	 */
	private String link_duty;
	/**
	 * 联系人传真
	 */
	private String link_fax;
	/**
	 * 联系人电话
	 */
	private String link_phone;
	/**
	 * 联系人手机
	 */
	private String link_tel;
	/**
	 * 联系人电子信箱
	 */
	private String link_email;

	/**邮编*/
	private String zip_code;

	/**
	 * 申请人／原告主体资格
	 */
	private String right_as_principal;

	/**
	 * 企业总人数
	 */
	private String total_emp;


	/**********************个人信息*************************/

	/**
	 * 国籍
	 */
	private String nationality;

	/**
	 * 证件号码
	 */
	private String id_no;
	/**
	 * 证件有效期结束日期
	 */
	private String validity_end;
	/**
	 * 性别
	 */
	private String sex;
	/**
	 * 出生日期
	 */
	private String birth_date;
	/**
	 * 职业类别
	 */
	private String major_group;
	/**
	 * 身高
	 */
	private String stature;
	/**
	 * 体重
	 */
	private String weight;
	/**
	 * 年收入
	 */
	private String annual_income;
	/**
	 * 累计保额
	 */
	private String coverage_sum;
	/**
	 * 手机号
	 */
	private String mobile;

	/**
	 * 地址-省
	 */
	private String province;
	/**
	 * 地址-市
	 */
	private String city;
	/**
	 * 地址-区/县
	 */
	private String area_code;

	/**
	 * 身份证复印件
	 */
	private  String app_idcard_path;
	/**
	 * 常住地证明文件复印件
	 */
	private String app_address_path;

	/**
	 * 配偶身份证复印件
	 */
	private String app_spouse_card_path;

	/**
	 * 结婚证复印件
	 */
	private String app_trauschein_path;

	/**
	 * 营业执照复印件
	 */
	private String app_business_path;

	/**
	 * 组织机构代码证
	 */
	private String app_organizing_path;

	/**
	 * 税务登记证
	 */
	private String app_tax_path;

	public String getOid() {
		return oid;
	}

	public void setOid(String oid) {
		this.oid = oid;
	}

	public String getRole_type() {
		return role_type;
	}

	public void setRole_type(String role_type) {
		this.role_type = role_type;
	}

	public String getKind() {
		return kind;
	}

	public void setKind(String kind) {
		this.kind = kind;
	}

	public String getName_cn() {
		return name_cn;
	}

	public void setName_cn(String name_cn) {
		this.name_cn = name_cn;
	}

	public String getName_en() {
		return name_en;
	}

	public void setName_en(String name_en) {
		this.name_en = name_en;
	}

	public String getId_type() {
		return id_type;
	}

	public void setId_type(String id_type) {
		this.id_type = id_type;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getRegister_date() {
		return register_date;
	}

	public void setRegister_date(String register_date) {
		this.register_date = register_date;
	}

	public String getReg_address() {
		return reg_address;
	}

	public void setReg_address(String reg_address) {
		this.reg_address = reg_address;
	}

	public String getDo_business_address() {
		return do_business_address;
	}

	public void setDo_business_address(String do_business_address) {
		this.do_business_address = do_business_address;
	}

	public String getRegion() {
		return region;
	}

	public void setRegion(String region) {
		this.region = region;
	}

	public String getOrganization_code() {
		return organization_code;
	}

	public void setOrganization_code(String organization_code) {
		this.organization_code = organization_code;
	}

	public String getTax_code() {
		return tax_code;
	}

	public void setTax_code(String tax_code) {
		this.tax_code = tax_code;
	}

	public String getAaum_code() {
		return aaum_code;
	}

	public void setAaum_code(String aaum_code) {
		this.aaum_code = aaum_code;
	}

	public String getCustoms_code() {
		return customs_code;
	}

	public void setCustoms_code(String customs_code) {
		this.customs_code = customs_code;
	}

	public String getCom_type() {
		return com_type;
	}

	public void setCom_type(String com_type) {
		this.com_type = com_type;
	}

	public String getBusiness_nature() {
		return business_nature;
	}

	public void setBusiness_nature(String business_nature) {
		this.business_nature = business_nature;
	}

	public String getSectors_sold() {
		return sectors_sold;
	}

	public void setSectors_sold(String sectors_sold) {
		this.sectors_sold = sectors_sold;
	}

	public String getBusiness_area() {
		return business_area;
	}

	public void setBusiness_area(String business_area) {
		this.business_area = business_area;
	}

	public String getId_option() {
		return id_option;
	}

	public void setId_option(String id_option) {
		this.id_option = id_option;
	}

	public String getId_star_date() {
		return id_star_date;
	}

	public void setId_star_date(String id_star_date) {
		this.id_star_date = id_star_date;
	}

	public String getId_end_date() {
		return id_end_date;
	}

	public void setId_end_date(String id_end_date) {
		this.id_end_date = id_end_date;
	}

	public String getLink_section() {
		return link_section;
	}

	public void setLink_section(String link_section) {
		this.link_section = link_section;
	}

	public String getCompanies_detail() {
		return companies_detail;
	}

	public void setCompanies_detail(String companies_detail) {
		this.companies_detail = companies_detail;
	}

	public int getId_insurance() {
		return id_insurance;
	}

	public void setId_insurance(int id_insurance) {
		this.id_insurance = id_insurance;
	}

	public String getInsurance_name() {
		return insurance_name;
	}

	public void setInsurance_name(String insurance_name) {
		this.insurance_name = insurance_name;
	}

	public String getTurnover_domestic() {
		return turnover_domestic;
	}

	public void setTurnover_domestic(String turnover_domestic) {
		this.turnover_domestic = turnover_domestic;
	}

	public String getTurnover_export() {
		return turnover_export;
	}

	public void setTurnover_export(String turnover_export) {
		this.turnover_export = turnover_export;
	}

	public String getCurrency_required() {
		return currency_required;
	}

	public void setCurrency_required(String currency_required) {
		this.currency_required = currency_required;
	}

	public String getCom_nature() {
		return com_nature;
	}

	public void setCom_nature(String com_nature) {
		this.com_nature = com_nature;
	}

	public String getNature_two() {
		return nature_two;
	}

	public void setNature_two(String nature_two) {
		this.nature_two = nature_two;
	}

	public String getIndustry() {
		return industry;
	}

	public void setIndustry(String industry) {
		this.industry = industry;
	}

	public String getOther_industry() {
		return other_industry;
	}

	public void setOther_industry(String other_industry) {
		this.other_industry = other_industry;
	}

	public String getLegal_name() {
		return legal_name;
	}

	public void setLegal_name(String legal_name) {
		this.legal_name = legal_name;
	}

	public String getLegal_duty() {
		return legal_duty;
	}

	public void setLegal_duty(String legal_duty) {
		this.legal_duty = legal_duty;
	}

	public String getLegal_phone() {
		return legal_phone;
	}

	public void setLegal_phone(String legal_phone) {
		this.legal_phone = legal_phone;
	}

	public String getAgent_name() {
		return agent_name;
	}

	public void setAgent_name(String agent_name) {
		this.agent_name = agent_name;
	}

	public String getAgent_duty() {
		return agent_duty;
	}

	public void setAgent_duty(String agent_duty) {
		this.agent_duty = agent_duty;
	}

	public String getAgent_phone() {
		return agent_phone;
	}

	public void setAgent_phone(String agent_phone) {
		this.agent_phone = agent_phone;
	}

	public String getAgent_email() {
		return agent_email;
	}

	public void setAgent_email(String agent_email) {
		this.agent_email = agent_email;
	}

	public String getLink_name() {
		return link_name;
	}

	public void setLink_name(String link_name) {
		this.link_name = link_name;
	}

	public String getLink_duty() {
		return link_duty;
	}

	public void setLink_duty(String link_duty) {
		this.link_duty = link_duty;
	}

	public String getLink_fax() {
		return link_fax;
	}

	public void setLink_fax(String link_fax) {
		this.link_fax = link_fax;
	}

	public String getLink_phone() {
		return link_phone;
	}

	public void setLink_phone(String link_phone) {
		this.link_phone = link_phone;
	}

	public String getLink_email() {
		return link_email;
	}

	public void setLink_email(String link_email) {
		this.link_email = link_email;
	}

	public String getZip_code() {
		return zip_code;
	}

	public void setZip_code(String zip_code) {
		this.zip_code = zip_code;
	}

	public String getRight_as_principal() {
		return right_as_principal;
	}

	public void setRight_as_principal(String right_as_principal) {
		this.right_as_principal = right_as_principal;
	}

	public String getTotal_emp() {
		return total_emp;
	}

	public void setTotal_emp(String total_emp) {
		this.total_emp = total_emp;
	}

	public String getNationality() {
		return nationality;
	}

	public void setNationality(String nationality) {
		this.nationality = nationality;
	}

	public String getId_no() {
		return id_no;
	}

	public void setId_no(String id_no) {
		this.id_no = id_no;
	}

	public String getValidity_end() {
		return validity_end;
	}

	public void setValidity_end(String validity_end) {
		this.validity_end = validity_end;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getBirth_date() {
		return birth_date;
	}

	public void setBirth_date(String birth_date) {
		this.birth_date = birth_date;
	}

	public String getMajor_group() {
		return major_group;
	}

	public void setMajor_group(String major_group) {
		this.major_group = major_group;
	}

	public String getStature() {
		return stature;
	}

	public void setStature(String stature) {
		this.stature = stature;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}

	public String getAnnual_income() {
		return annual_income;
	}

	public void setAnnual_income(String annual_income) {
		this.annual_income = annual_income;
	}

	public String getCoverage_sum() {
		return coverage_sum;
	}

	public void setCoverage_sum(String coverage_sum) {
		this.coverage_sum = coverage_sum;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getArea_code() {
		return area_code;
	}

	public void setArea_code(String area_code) {
		this.area_code = area_code;
	}

	public String getApp_idcard_path() {
		return app_idcard_path;
	}

	public void setApp_idcard_path(String app_idcard_path) {
		this.app_idcard_path = app_idcard_path;
	}

	public String getApp_address_path() {
		return app_address_path;
	}

	public void setApp_address_path(String app_address_path) {
		this.app_address_path = app_address_path;
	}

	public String getApp_spouse_card_path() {
		return app_spouse_card_path;
	}

	public void setApp_spouse_card_path(String app_spouse_card_path) {
		this.app_spouse_card_path = app_spouse_card_path;
	}

	public String getApp_trauschein_path() {
		return app_trauschein_path;
	}

	public void setApp_trauschein_path(String app_trauschein_path) {
		this.app_trauschein_path = app_trauschein_path;
	}

	public String getApp_business_path() {
		return app_business_path;
	}

	public void setApp_business_path(String app_business_path) {
		this.app_business_path = app_business_path;
	}

	public String getApp_organizing_path() {
		return app_organizing_path;
	}

	public void setApp_organizing_path(String app_organizing_path) {
		this.app_organizing_path = app_organizing_path;
	}

	public String getApp_tax_path() {
		return app_tax_path;
	}

	public void setApp_tax_path(String app_tax_path) {
		this.app_tax_path = app_tax_path;
	}

	public String getReg_province() {
		return reg_province;
	}

	public void setReg_province(String reg_province) {
		this.reg_province = reg_province;
	}

	public String getReg_city() {
		return reg_city;
	}

	public void setReg_city(String reg_city) {
		this.reg_city = reg_city;
	}

	public String getReg_district() {
		return reg_district;
	}

	public void setReg_district(String reg_district) {
		this.reg_district = reg_district;
	}

	public String getLink_tel() {
		return link_tel;
	}

	public void setLink_tel(String link_tel) {
		this.link_tel = link_tel;
	}
}